Page MenuHomePhabricator

Make edit merge screen responsive
Closed, ResolvedPublic

Description

Task
Currently, the edit merge screen follows a two-column layout. This makes sense for big enough screens. When the screen becomes too small, though, the boxes need to be sorted below each other. Please find out, when they should be put below each other and implement the correct behavior for too small screens, and window resizing.

Background:
This is part of fulfilling wish #1 of the German-speaking community wishlist 2015 (T139601).
The solution is a result of on-wiki discussion and Wikimania 2016 sessions and testings, as well as feedback we received to the prototype.

Event Timeline

Lea_WMDE created this task.Sep 2 2016, 4:02 PM
WMDE-leszek triaged this task as Normal priority.Oct 18 2016, 12:46 PM

Change 343097 had a related patch set uploaded (by Andrew-WMDE):
[mediawiki/extensions/TwoColConflict] Make edit merge screen responsive

https://gerrit.wikimedia.org/r/343097

Change 343097 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict] Make edit merge screen responsive

https://gerrit.wikimedia.org/r/343097

Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Mar 28 2017, 3:45 PM
Lea_WMDE closed this task as Resolved.Apr 11 2017, 11:53 AM